BroadcastGroupControl (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.api.core.management

## Interface BroadcastGroupControl

- All Superinterfaces:
    ActiveMQComponentControl

      public interface BroadcastGroupControl
      extends ActiveMQComponentControl

  A BroadcastGroupControl is used to manage a broadcast group.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getBroadcastPeriod()` Returns the period used by this broadcast group.
    `Object[]` | `getConnectorPairs()` Returns the pairs of live-backup connectors that are broadcasted by this broadcast group.
    `String` | `getConnectorPairsAsJSON()` Returns the pairs of live-backup connectors that are broadcasted by this broadcast group using JSON serialization.
    `String` | `getGroupAddress()` Returns the address this broadcast group is broadcasting to.
    `int` | `getGroupPort()` Returns the port this broadcast group is broadcasting to.
    `int` | `getLocalBindPort()` Returns the local port this broadcast group is bound to.
    `String` | `getName()` Returns the configuration name of this broadcast group.

    - ### Methods inherited from interface org.apache.activemq.artemis.api.core.management.ActiveMQComponentControl

      `isStarted, start, stop`

- - ### Method Detail

    - #### getName

          String getName()

      Returns the configuration name of this broadcast group.

    - #### getLocalBindPort

          int getLocalBindPort()
                        throws Exception

      Returns the local port this broadcast group is bound to.
      Throws:
        `Exception`

    - #### getGroupAddress

          String getGroupAddress()
                          throws Exception

      Returns the address this broadcast group is broadcasting to.
      Throws:
        `Exception`

    - #### getGroupPort

          int getGroupPort()
                    throws Exception

      Returns the port this broadcast group is broadcasting to.
      Throws:
        `Exception`

    - #### getBroadcastPeriod

          long getBroadcastPeriod()

      Returns the period used by this broadcast group.

    - #### getConnectorPairs

          Object[] getConnectorPairs()

      Returns the pairs of live-backup connectors that are broadcasted by this broadcast group.

    - #### getConnectorPairsAsJSON

          String getConnectorPairsAsJSON()
                                  throws Exception

      Returns the pairs of live-backup connectors that are broadcasted by this broadcast group using JSON serialization.
      Throws:
        `Exception`

Copyright © 2015. All rights reserved.